import 'package:flutter/material.dart';

import 'package:get/get.dart';
import 'package:get_demo/pages/second/second_controller.dart';

class SecondView extends GetView<SecondController> {
  const SecondView({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: const Text('SecondView'),
          centerTitle: true,
          leading: IconButton(
              onPressed: () {
                Get.back();
              },
              icon: const Icon(Icons.arrow_back)),
        ),
        body: Obx(() {
          return Row(
            children: [
              Text(controller.result.title ?? ''),
              IconButton(
                  onPressed: () {
                    controller.isLike(controller.result)
                        ? controller.removeLike(controller.result)
                        : controller.addLike(controller.result);
                  },
                  icon: Icon(Icons.favorite,
                      color: controller.isLike(controller.result)
                          ? Colors.red
                          : Colors.grey))
            ],
          );
        }));
  }
}
